> ## Documentation Index
> Fetch the complete documentation index at: https://docs.health-street.net/llms.txt
> Use this file to discover all available pages before exploring further.

# List FeatureSet

> Retrieve a list of FeatureSets



## OpenAPI

````yaml get /vLatest/action/glasscore/featureset
openapi: 3.1.0
info:
  version: 2.0.0
  title: Health Street API
  description: >-
    The Health Street API provides secure and reliable endpoints to manage drug
    tests, background checks, DNA checks, and occupational health tests.
servers:
  - url: https://api.glass.fm
security: []
paths:
  /vLatest/action/glasscore/featureset:
    get:
      tags:
        - FeatureSet
      summary: List FeatureSet
      description: Retrieve a list of FeatureSets
      operationId: ListFeatureSet
      parameters:
        - $ref: '#/components/parameters/return'
        - $ref: '#/components/parameters/isAdditionalData'
      responses:
        '200':
          description: A list of FeatureSets
          content:
            application/json:
              schema:
                type: object
                properties:
                  c_attributeField:
                    type: string
                    description: >-
                      Stores the characteristics or properties associated with a
                      specific feature in the FeatureSet.
                  default~FeatureId:
                    type: number
                    nullable: true
                    description: >-
                      Represents the unique identifier for the default feature
                      within a set of features.
                  descrip:
                    type: string
                    description: Description of record.
                  feature:
                    type: array
                    items:
                      type: object
                      properties:
                        attributeValue:
                          type: string
                          description: >-
                            Stores the specific property or characteristic of a
                            feature.
                        descrip:
                          type: string
                          description: Description of record.
                        FeatureSetId:
                          type: number
                          nullable: true
                          description: >-
                            Represents the unique identifier for a specific set
                            of features within the Feature table.
                        fee:
                          type: number
                          nullable: true
                          description: >-
                            Represents the cost associated with a particular
                            feature.
                        id:
                          type: number
                          description: Unique identifier.
                        isAddProduct:
                          type: boolean
                          nullable: true
                          description: >-
                            Indicates whether the feature to add a product is
                            enabled or not.
                        isSwapProduct:
                          type: boolean
                          nullable: true
                          description: >-
                            Indicates whether the product has the feature to be
                            exchanged with another.
                        name:
                          type: string
                          description: Name of feature.
                        SpecialFeatureId:
                          type: number
                          nullable: true
                          description: >-
                            Identifies the unique code associated with each
                            special feature in the Feature table.
                        swapAdd~ProductId:
                          type: number
                          nullable: true
                          description: >-
                            Identifies the product associated with a feature
                            that is being added in a swap operation.
                      required:
                        - attributeValue
                        - descrip
                        - FeatureSetId
                        - fee
                        - id
                        - isAddProduct
                        - isSwapProduct
                        - name
                        - SpecialFeatureId
                        - swapAdd~ProductId
                    description: >-
                      Stores the specific characteristics or properties of an
                      item in the FeatureSet.
                  FeatureSetTypeId:
                    type: number
                    nullable: true
                    description: Identifies the type of feature set in the database.
                  GlassUtility~EntityId:
                    type: number
                    nullable: true
                    description: >-
                      Represents the unique identifier for a specific utility
                      entity within the glass feature set.
                  id:
                    type: number
                    description: Unique identifier.
                  isInfo:
                    type: boolean
                    nullable: true
                    description: >-
                      Indicates whether the feature set contains informational
                      data or not.
                  isPerson:
                    type: boolean
                    nullable: true
                    description: >-
                      Indicates whether the feature set represents an individual
                      person or not.
                  name:
                    type: string
                    description: Name of featureSet.
                required:
                  - c_attributeField
                  - default~FeatureId
                  - descrip
                  - feature
                  - FeatureSetTypeId
                  - GlassUtility~EntityId
                  - id
                  - isInfo
                  - isPerson
                  - name
components:
  parameters:
    return:
      schema:
        $ref: '#/components/schemas/return'
      required: false
      name: return
      in: query
    isAdditionalData:
      schema:
        $ref: '#/components/schemas/isAdditionalData'
      required: false
      name: isAdditionalData
      in: query
  schemas:
    return:
      type: string
      description: >-
        Comma-separated list of specific fields to return/append in the
        response. See `isAdditionalData` for more details.
      example: id,nameFirst,nameLast
    isAdditionalData:
      type: boolean
      description: >-
        Set to `true` to merge requested fields with default response, or
        false/omit to return only requested fields plus `ID`.
      example: true

````